Bug 1633741 - Review Request: notify-python - Python bindings for libnotify
Summary: Review Request: notify-python - Python bindings for libnotify
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1633010 1636520
TreeView+ depends on / blocked
 
Reported: 2018-09-27 15:40 UTC by Paul W. Frields
Modified: 2018-11-05 02:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-05 02:00:38 UTC
Type: ---
mike: fedora-review+


Attachments (Terms of Use)

Description Paul W. Frields 2018-09-27 15:40:33 UTC
Spec URL: https://pfrields.fedorapeople.org/packages/SPECS/notify-python.spec
SRPM URL: https://pfrields.fedorapeople.org/packages/SRPMS/notify-python-0.1.1-39.fc29.src.rpm
Description: Python bindings for libnotify
Fedora Account System Username: pfrields

NOTE: This is restoration of a package erroneously retired before branching, on which other packages depend.

Comment 2 Michael Cronenworth 2018-09-27 19:13:49 UTC
Does not compile on Rawhide, which mirrors the last time it was attempted to build in Koji.

The configure check for Python is failing, I think.

Other things I noticed:
- You can remove the "Group:" tag.
- Use %license macro for COPYING
-

Comment 3 Robert-André Mauchin 🐧 2018-09-27 19:28:26 UTC
 - Not needed:

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

 - Group: is not used in Fedora
 
 - Add a comment explaining why the patch are needed or link to an upstream bug report/PR

 - Use /usr/bin/python2, not /usr/bin/python, which is deprecated:

export PYTHON=%{__python2}

 - make β†’ %make_build  (unless parallel compilation is broken)

 - Not needed: rm -rf $RPM_BUILD_ROOT

 - make DESTDIR=$RPM_BUILD_ROOT install β†’ %make_install

 - Use of %{python_sitearch} is forbidden, use %{python2_sitearch}

rm $RPM_BUILD_ROOT/%{python2_sitearch}/gtk-2.0/%{pypkgname}/_%{pypkgname}.la

 - License file COPYING must be installed with %license, not %doc:

%files -n python2-notify
%license COPYING
%doc AUTHORS NEWS ChangeLog

Comment 4 Paul W. Frields 2018-10-15 14:15:19 UTC
Updated package files with changes (thanks for helpful review):

SPEC: https://pfrields.fedorapeople.org/packages/SPECS/notify-python.spec
SRPM: https://pfrields.fedorapeople.org/packages/SRPMS/notify-python-0.1.1-40.fc29.src.rpm

Comment 5 Michael Cronenworth 2018-10-15 14:40:07 UTC
@Paul,

I don't see any changes in the files you linked. The date stamps on the files are also from Sept. 27th. Did you need to upload the updated files?

Comment 6 Paul W. Frields 2018-10-16 12:52:05 UTC
@Michael, sorry about that -- I copied them into the wrong place. Should be fixed now.

Comment 7 Michael Cronenworth 2018-10-16 14:29:28 UTC
Looks good. I'll approve but I have one optional request:

The example files use a shebang without specifying the python binary version. This is going to cause an error in the future if anyone were to use those examples on Fedora. You may wish to use the "pathfix.py" utility to fix them.

https://fedoraproject.org/wiki/Changes/Make_ambiguous_python_shebangs_error


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "MIT/X11 (BSD
     like)", "Unknown or generated". 41 files have unknown license.
     Detailed output of licensecheck in
     /home/michael/Projects/fedora/provenpackager/notify-python/1633741
     -notify-python/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/pygtk/2.0,
     /usr/share/pygtk, /usr/share/pygtk/2.0/defs
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 15 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-notify , notify-python-debugsource
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: python2-notify : /usr/lib64/pkgconfig/notify-python.pc
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-notify-0.1.1-40.fc30.x86_64.rpm
          notify-python-debugsource-0.1.1-40.fc30.x86_64.rpm
          notify-python-0.1.1-40.fc30.src.rpm
python2-notify.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/notify-python.pc
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-basic.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-default-action.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-image.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-markup.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-multi-actions.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-replace-widget.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-replace.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-server-info.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-urgency.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-xy-stress.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-xy.py /usr/bin/env python
python2-notify.x86_64: E: incorrect-fsf-address /usr/share/licenses/python2-notify/COPYING
notify-python.src: W: spelling-error Summary(en_US) libnotify -> lib notify, lib-notify, notify
notify-python.src: W: spelling-error %description -l en_US libnotify -> lib notify, lib-notify, notify
3 packages and 0 specfiles checked; 12 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python2-notify.x86_64: W: invalid-url URL: http://www.galago-project.org <urlopen error [Errno -2] Name or service not known>
python2-notify.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/notify-python.pc
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-basic.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-default-action.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-image.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-markup.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-multi-actions.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-replace-widget.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-replace.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-server-info.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-urgency.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-xy-stress.py /usr/bin/env python
python2-notify.x86_64: E: wrong-script-interpreter /usr/share/doc/python2-notify/examples/test-xy.py /usr/bin/env python
python2-notify.x86_64: E: incorrect-fsf-address /usr/share/licenses/python2-notify/COPYING
notify-python-debugsource.x86_64: W: invalid-url URL: http://www.galago-project.org <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 12 errors, 3 warnings.



Requires
--------
python2-notify (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    desktop-notification-daemon
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libnotify
    libnotify.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    pygtk2
    python(abi)
    rtld(GNU_HASH)

notify-python-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python2-notify:
    notify-python
    notify-python(x86-64)
    pkgconfig(notify-python)
    python-notify
    python-notify(x86-64)
    python2-notify
    python2-notify(x86-64)

notify-python-debugsource:
    notify-python-debugsource
    notify-python-debugsource(x86-64)



Unversioned so-files
--------------------
python2-notify: /usr/lib64/python2.7/site-packages/gtk-2.0/pynotify/_pynotify.so

Source checksums
----------------
http://www.galago-project.org/files/releases/source/notify-python/notify-python-0.1.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 7d3bbb7c3d8f56c922cc31d02ef9057a4f06998cc2fd4f3119a576fcf8d504ce
  CHECKSUM(SHA256) upstream package : 7d3bbb7c3d8f56c922cc31d02ef9057a4f06998cc2fd4f3119a576fcf8d504ce


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1633741 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

APPROVED

Comment 8 Fedora Update System 2018-10-18 21:57:14 UTC
notify-python-0.1.1-40.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c900d4a96b

Comment 9 Fedora Update System 2018-10-20 19:23:32 UTC
notify-python-0.1.1-40.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c900d4a96b

Comment 10 Fedora Update System 2018-11-05 02:00:38 UTC
notify-python-0.1.1-40.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.